> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/bmc/elastic-ip/describeeipaddresses.md).

# DescribeEipAddresses

## 1. 接口描述

本接口(DescribeEipAddresses)用于查询一台或多台指定EIP的信息。用户可以根据EIP ID、IP或者计费模式等信息来搜索EIP的信息。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称            | 必选 | 类型                                                                      | 描述                                                        |
| --------------- | -- | ----------------------------------------------------------------------- | --------------------------------------------------------- |
| eipIds          | 否  | Array of String                                                         | 取值可以由多个EIP ID共同组成。最多支持100个ID查询。                           |
| eipChargeType   | 否  | [ChargeType](/api-reference/cn/compute/bmc/datastructure.md#chargetype) | <p>付费类型。</p><p>PREPAID：预付费，即包年包月。</p><p>POSTPAID：后付费。</p> |
| ipAddress       | 否  | String                                                                  | IP地址。                                                     |
| zoneId          | 否  | String                                                                  | EIP所属的可用区ID。                                              |
| resourceGroupId | 否  | String                                                                  | <p>资源组的ID。</p><p>如果不传，则返回该用户可见的所有资源组内的EIP。</p>            |
| eipStatus       | 否  | [EipStatus](/api-reference/cn/compute/bmc/datastructure.md#eipstatus)   | EIP状态。                                                    |
| instanceId      | 否  | String                                                                  | 机器实例ID。                                                   |
| instanceName    | 否  | String                                                                  | 机器实例名称。                                                   |
| pageSize        | 否  | Integer                                                                 | <p>返回的分页大小。</p><p>默认为20，最大为1000。</p>                      |
| pageNum         | 否  | Integer                                                                 | <p>返回的分页数。</p><p>默认值：1</p>                                |
| tagKeys         | 否  | Array of String                                                         | <p>根据标签键进行搜索。</p><p>最长不得超过20个标签键。</p>                     |
| tags            | 否  | Array of [Tag](/api-reference/cn/compute/bmc/datastructure.md#tag)      | <p>根据标签进行搜索。</p><p>最长不得超过20个标签。</p>                       |

## 3. 响应结果

| 参数名称       | 类型                                                                               | 描述                                                       |
| ---------- | -------------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId  | String                                                                           | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| totalCount | Integer                                                                          | 符合条件的EIP总数量。                                             |
| dataSet    | Array of [EipAddress](/api-reference/cn/compute/bmc/datastructure.md#eipaddress) | EIP列表。                                                   |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 列表根据eipChargeType搜索**

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeEipAddresses
Request：
{
    "eipChargeType": "PREPAID"
}
Response：
{ 
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
     "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E"，
     "dataSet": [
         {
            "eipId": "eipId1",
            "zoneId": "SEL-A",
            "ipAddress": "x.x.x.x",
            "instanceId": "instanceId1",
            "instanceName": "instanceName",
            "eipChargeType": "PREPAID",
            "period": 1,
            "createTime": "2022-09-25T16:53:38Z",
            "expiredTime": "2022-10-25T16:53:38Z",
            "eipStatus": "AVAILABLE",
            "resourceGroupId": "xx",
            "resourceGroupName": "xx"
         }
     ],
     totalCount: 1
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/bmc/elastic-ip/describeeipaddresses.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
